Name: H5Tvlen_create
Signature:
  hid_t `H5Tvlen_create`(hid_t `base_type_id` )
Purpose:
  Creates a new variable-length datatype.
Description:
  `H5Tvlen_create` creates a new variable-length (VL) datatype.

  The base datatype will be the datatype that the sequence is composed of, characters for character strings, vertex coordinates for polygon lists, etc. The base type specified for the VL datatype can be of any HDF5 datatype, including another VL datatype, a compound datatype or an atomic datatype.

  When necessary, use `H5Tget_super` to determine the base type of the VL datatype.

  The datatype identifier returned from this function should be released with `H5Tclose` or resource leaks will result.

Parameters:

hid_t `base_type_id` | Base type of datatype to create.

See Also:
  H5Dget_vlen_buf_size
  H5Dvlen_reclaim
Returns:
  Returns datatype identifier if successful; otherwise returns a negative value.
Fortran90 Interface: h5tvlen_create_f

      SUBROUTINE h5tvlen_create_f(type_id, vltype_id, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: type_id    ! Datatype identifier of base type
                                                 ! Base type can only be atomic
        INTEGER(HID_T), INTENT(OUT) :: vltype_id ! VL datatype identifier
        INTEGER, INTENT(OUT) :: hdferr           ! Error code
      END SUBROUTINE h5tvlen_create_f

History:

Release | Fortran90
1.4.5 | Function introduced in this release.